
QGIS Application - Bug report #21188

Classify makes points invisible

2019-02-06 07:22 PM - Lene Fischer

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29006

Description

If I classify a point layer all the points gets invisible.

If I click in the column 'Value' in the new field 'all othe values' and 'Apply' then the point come back.

Associated revisions

Revision 7714bfbf - 2019-02-12 04:37 AM - Nyall Dawson

[categorized] Fix blank layers when using categorized renderer

Fixes #21188

History

#1 - 2019-02-07 11:50 AM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot replicate, but maybe I also do not understand the necessary steps to replicate.

What is the field you use to make the symbology? what symbology (categorized? graduated?).

I do not understand the second part.

#2 - 2019-02-07 11:58 AM - Lene Fischer

I have made a small video to visualize :-)

https://www.screencast.com/t/TghXQRAV7

Regards

Lene

#3 - 2019-02-07 12:33 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Regression? changed from No to Yes
Confirmed regression in master.

#4 - 2019-02-07 01:15 PM - Gerhard Spieles

Same problem with invisbility in polygon layers.

The problem occurs with shape format.

Same layer in spatialite has no problems.

#5 - 2019-02-10 04:00 PM - Gerhard Spieles

The issue occurs only, when you press the button "classify". Delete all the automatic classified categories and 

classify with the + button works fine.

#6 - 2019-02-10 04:38 PM - Lene Fischer

Yes the use of the button is to automatic detect all the unique values and classify them...

Manually classification is not a solution. The simple workarround is just to double click in the 'all other value' - but still not a solution :-)

#7 - 2019-02-10 04:52 PM - Lene Fischer

I have found the text 'All other values' in this 

https://github.com/qgis/QGIS/blob/c44f8f0a151f54be6989ef9f7d6c1e33b99ba54a/src/gui/symbology/qgscategorizedsymbolrendererwidget.cpp line 170

But I´m not into programming..... so I can´t find the error.

#8 - 2019-02-11 12:11 AM - Nyall Dawson

Lene - I can't watch that screencast. Can you share via dropbox or some other site which doesn't require Flash?

#9 - 2019-02-11 12:12 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce. Please post step-by-step instructions and/or sample data, or re-post the screencast.

#10 - 2019-02-11 01:36 PM - Gerhard Spieles

- File Shape format categorize, automatic classify, polygons invisible.pdf added

pdf example is attached

#11 - 2019-02-11 07:29 PM - Giovanni Manghi

Nyall Dawson wrote:
I can't reproduce. Please post step-by-step instructions and/or sample data, or re-post the screencast.

In the latest master available on osgeo4w I'm also unable to replicate (I was able with a previous build).

#12 - 2019-02-11 08:02 PM - Lene Fischer

- File Untitled Project.mp4 added

Just installed the latest 3.5 version. See my video attached.

#13 - 2019-02-11 08:37 PM - Giovanni Manghi

- Status changed from Feedback to Open

#14 - 2019-02-12 01:16 AM - Nyall Dawson

- Status changed from Open to Feedback

Hm - following the exact same procedure, I can't reproduce. Can you share the data/project? Maybe it's highly data source dependant.

#15 - 2019-02-12 03:41 AM - Lene Fischer

The data I use is the 'Municipality' attached this bugreport.

Can there be an issue about language - a missing TR. I override 'System locale' and have choosen 'American English'

#16 - 2019-02-12 04:14 AM - Mathieu Pellerin - nIRV

Hey, just taking a second here to salute the narrated screencast, very useful for developers in attempting to replicate bugs. :)

#17 - 2019-02-12 08:32 PM - Nyall Dawson

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|7714bfbfbe6acec1c193365a173c822cb72c4361.

#18 - 2019-02-12 08:50 PM - Lene Fischer

Thanks!!!!

#19 - 2019-02-12 08:51 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

municipality_350664788.zip 1.4 KB 2019-02-06 Lene Fischer
Shape format categorize, automatic classify, polygons invisible.pdf 416 KB 2019-02-11 Gerhard Spieles

Untitled Project.mp4 1.88 MB 2019-02-11 Lene Fischer
